WordPress.org

Ready to get started?Download WordPress

Forums

Problem Updating WordPress 3.2 (7 posts)

  1. gollumcha
    Member
    Posted 3 years ago #

    Last night I wanted to update my wordpress to 3.2 (hosted on Dreamhost), but when it finished, the site showed the following error:

    Fatal error: Class 'Gettext_Translations' not found in / home /***/ designals.com.ar / wp-includes / pomo / mo.php on line 14

    Depending on when I try to reload de site, the problem change between /pomo and /knob. Curious.

    The problem persists.

    I have Dreamhost PHP version 5.2 and MySQL version 5.1.53.

  2. esmi
    Forum Moderator
    Posted 3 years ago #

    PHP version 5.2

    You need PHP 5.2.4 or above to run WP 3.2

  3. gollumcha
    Member
    Posted 3 years ago #

    On my Dreamhost Panel, I have this options:
    PHP 5.2 (CGI and Fast CGI)
    PHP 5.3 (CGI and Fast CGI)

    Should I select 5.3?

  4. gollumcha
    Member
    Posted 3 years ago #

    Is this going to solve the problem if I select the PHP 5.3?

  5. Guillotex
    Member
    Posted 3 years ago #

    I had the same problem! 5.2 means 5.2.4? Or Dreamhost is just old?

  6. Rick McKnight
    Member
    Posted 3 years ago #

    Minimum requirements for WP 3,2 are PHP version 5.2.4 and MySQL version 5.0

    So yes, select PHP 5.3
    And no, 5.2 does not mean 5.2.4

    The older version is being offered for compatibility with older software

  7. Mike Schroder
    WP Contributing Dev.
    Posted 2 years ago #

    I realize this is an old post, but for posterity:

    In the DreamHost panel, PHP 5.2 just means "5.2.x" (and PHP 5.3 means PHP 5.3.x).

    DreamHost does, indeed, support WordPress 3.2, and the current version(s) of PHP here (as of this writing) are 5.2.17 and 5.3.5

Topic Closed

This topic has been closed to new replies.

About this Topic